<div class="progress style status-number">
    @if (totalTasks === 0) {
        <div class="ms-3 mt-4">
            <p>Error: something went wrong.</p>
        </div>
    } @else {
        @for (card of progressCards; track card) {
            <progress [ngClass]="'progress-bar status-' + card.progressStatus" [style.width]="makeStyle(card.progress)">
                @if (card.statusNumber === totalTasks && card.progressStatus === "success") {
                    <i class="bi bi-check2-circle"></i>
                } @else {
                    {{ card.statusNumber }}
                }
            </progress>
        }
    }
</div>
